import '../entities/task.dart';
import '../repositories/tasks_repository.dart';

class CreateTask {
  final TasksRepository _repository;

  CreateTask(this._repository);

  Future<Task> execute({
    required String title,
    String? description,
    String? priority,
    String? serverId,
  }) {
    return _repository.createTask(
      title: title,
      description: description,
      priority: priority,
      serverId: serverId,
    );
  }
}
